package com.example.client;

import com.example.client.view.FooterPanel;
import com.example.client.view.HeaderPanel;
import com.example.client.view.UserMiddlePanel;
import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.user.client.Window;
import com.google.gwt.user.client.ui.RootPanel;

/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */
public class User implements EntryPoint {

	/**
	 * This is the entry point method.
	 */
	public void onModuleLoad() {
		
		RootPanel.get("header").add(new HeaderPanel());
		RootPanel.get("footer").add(new FooterPanel());
				
		String path = Window.Location.getPath();
		final String regex = "^.*/([a-z]{3})$";
		// it would be nice to use java.util.regex here, but you can't do it with GWT
		if(path.matches(regex)) {
			String substring = path.substring(path.length()-3, path.length());
			RootPanel.get("content").add(new UserMiddlePanel(substring));
		} else {
			Window.alert("path "+path+" did not match regex");
		}
	}

}
